GET Mail
https://{cluster}.pp.sgp.pvp.net/mailbox/v1/{puuid}/mail/{mail id} Get a single mail by its ID. The response is the same object as the entries of the Mailbox endpoint, just not wrapped in an array.
Headers
-
Authorization: Bearer {auth token}
URL Parameters
-
{cluster}There are 4 SGP clusters:
Cluster ID Region euc1Europe usw2North America / Brazil / LATAM / PBE apse1Asia Pacific / Oceania apne1Japan / Korea -
{puuid}Player UUID
-
{mail id}The ID of the mail, obtained from the Mailbox endpoint
Other Variables
-
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type MailResponse = {
/** Mail ID */
mailId: string;
/** The player the mail was sent to */
puuid: string;
/** JSON-encoded string with the contents of the mail. The keys depend on the type of mail, for example `{"product":"valorant","category":"COMMS_ABUSE_TEXT","recipientType":"","offenderRiotId":"name#tag"}` */
message: string;
/** e.g. "valorant" */
product: string;
region: string | null;
/** e.g. `["ga-reporter-feedback-notification"]` */
tags: string[];
/** e.g. "ACK_REQUIRED" */
mailType: string;
/** e.g. "NEW", "READ", "ACKNOWLEDGED" */
state: string;
/** Milliseconds since epoch */
createdAt: number;
}; {
"mailId": "aFB50FbA-82B3-78f6-9c52-bcCb3a5Cff3E",
"puuid": "b4CEa9AD-cF35-0079-D7Ca-4286edB3298A",
"message": "carmen",
"product": "Mouse",
"region": "porro",
"tags": [
"copiose",
"copiose",
"suasoria",
"urbanus"
],
"mailType": "amissio",
"state": "Washington",
"createdAt": 6285000613960999
}